- Unlink a conversation from a ticket
Unlink a conversation (or converted customer ticket) from a tracker ticket it is currently linked to. The ticket in the path must be a tracker ticket. This returns the conversation that was unlinked.
Requires the write_tickets OAuth scope.
Intercom API version.
By default, it's equal to the version set in the app package.
- The production API serverhttps://api.intercom.io/tickets/{ticket_id}/linked_conversations/{id}
- The european API serverhttps://api.eu.intercom.io/tickets/{ticket_id}/linked_conversations/{id}
- The australian API serverhttps://api.au.intercom.io/tickets/{ticket_id}/linked_conversations/{id}
curl -i -X DELETE \
https://api.intercom.io/tickets/64619700005694/linked_conversations/204 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.16'successful
The last time a Contact responded to an Admin. In other words, the time a customer started waiting for a response. Set to null if last reply is from an Admin.
If set this is the time in the future when this conversation will be marked as open. i.e. it will be in a snoozed state until this time. i.e. it will be in a snoozed state until this time.
The priority level of the conversation. Returns one of none, low, medium, high, or urgent.
The id of the admin assigned to the conversation. If it's not assigned to an admin it will return 0.
The id of the team assigned to the conversation. If it's not assigned to a team it will return 0.
The company associated with the conversation.
The Conversation Rating object which contains information on the rating and/or remark added by a Contact and the Admin assigned to the conversation.
The type of the conversation part that started this conversation. Can be Contact, Admin, Campaign, Automated or Operator initiated.
The list of contacts (users or leads) involved in this conversation. This will only contain one customer unless more were added via the group conversation feature.
The list of teammates who participated in the conversation (wrote at least one conversation part).
An object containing the different custom attributes associated to the conversation as key-value pairs. For relationship attributes the value will be a list of custom object instance models. System-defined attributes such as "CX Score rating" and "CX Score explanation" may also be included.
{ "paid_subscriber": true, "monthly_spend": 155.5, "team_mates": 9, "start_date_iso8601": "2023-03-04T09:46:14Z", "end_date_timestamp": 1677923174, "CX Score rating": 4, "CX Score explanation": "The conversation was resolved quickly and the customer expressed satisfaction with the outcome." }
An object containing information on the first users message. For a contact initiated message this will represent the users original message.
The SLA Applied object contains the details for which SLA has been applied to this conversation. Important: if there are any canceled sla_events for the conversation - meaning an SLA has been manually removed from a conversation, the sla_status will always be returned as null.
A Statistics object containing all information required for reporting, with timestamps and calculated metrics.
A list of Conversation Part objects for each part message in the conversation. This is only returned when Retrieving a Conversation, and ignored when Listing all Conversations. There is a limit of 500 parts.
An object containing metadata about linked conversations and linked tickets. Up to 1000 can be returned.
Indicates whether the AI Agent participated in the conversation.
Indicates whether the Sales Agent participated in the conversation.
The channel through which the conversation was initiated and its current channel.
References linking this conversation to records in an external helpdesk or CRM system. Populated for Fin Standalone workspaces synced from an external platform; an empty array otherwise. Sorted alphabetically by type and capped at 20 entries.
[ { "type": "zendesk_ticket", "id": "3633338" }, { "type": "zendesk_sunshine_conversation", "id": "abc-def-uuid" } ]
QA monitor evaluations that flagged this conversation. Only included when include_monitors=true is passed as a query parameter.
QA scorecard results for this conversation. Only included when include_scorecards=true is passed as a query parameter.
- Part type - conversation_attribute_updated_by_workflow
- Part type - conversation_attribute_updated_by_admin
- Part type - conversation_attribute_updated_by_user
- Part type - custom_action_started
- Part type - custom_action_finished
- Part type - operator_workflow_event
{ "type": "conversation", "id": "204", "created_at": 1734537715, "updated_at": 1734537752, "source": { "type": "conversation", "id": "403918350", "delivered_as": "admin_initiated", "subject": "", "body": "<p>Customer report</p>", "author": { … }, "attachments": [], "redacted": false }, "contacts": { "type": "contact.list", "contacts": [ … ] }, "open": true, "state": "open", "linked_objects": { "type": "list", "total_count": 0, "has_more": false, "data": [] } }